> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dynamic Configs



## OpenAPI

````yaml api-reference/statsig_openapi.json get /console/v1/dynamic_configs
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/dynamic_configs:
    get:
      tags:
        - Dynamic Configs
      summary: List Dynamic Configs
      parameters:
        - name: creatorName
          required: false
          in: query
          description: Name of the creator.
          schema:
            type: string
            nullable: true
        - name: creatorID
          required: false
          in: query
          description: ID of the user who created the entity.
          schema:
            type: string
            nullable: true
        - name: tags
          required: false
          in: query
          description: Filter by tags
          examples:
            single tag:
              value: tag1
            multiple tags:
              value:
                - tag1
                - tag2
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
        - name: limit
          required: false
          in: query
          description: Results per page
          schema:
            example: 10
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            example: 1
            oneOf:
              - type: string
              - type: number
            type: integer
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: List Dynamic Configs Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginationResponseWithMessage'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/DynamicConfigDto'
                example:
                  message: Dynamic Configs listed successfully.
                  data:
                    - id: example_config
                      name: Example Config
                      description: An example dynamic configuration
                      idType: userID
                      lastModifierID: abc123
                      lastModifiedTime: 1600000000000
                      lastModifierName: Jane Doe
                      lastModifierEmail: jane@example.com
                      creatorID: def456
                      createdTime: 1500000000000
                      creatorName: John Smith
                      creatorEmail: john@example.com
                      targetApps:
                        - myapp
                      holdoutIDs: []
                      tags:
                        - example_tag
                      team: Product
                      isEnabled: true
                      rules: []
                      defaultValue: {}
                      defaultValueJson5: '{}'
                      schema: >-
                        {"$schema":"https://json-schema.org/draft/2020-12/schema","properties":{}}
                      schemaJson5: |-
                        {
                          "$schema": "https://json-schema.org/draft/2020-12/schema",
                          "properties": {}
                        }
                      version: 1
              example:
                message: Dynamic Configs listed successfully.
                data:
                  - id: example_config
                    name: Example Config
                    description: An example dynamic configuration
                    idType: userID
                    lastModifierID: abc123
                    lastModifiedTime: 1600000000000
                    lastModifierName: Jane Doe
                    lastModifierEmail: jane@example.com
                    creatorID: def456
                    createdTime: 1500000000000
                    creatorName: John Smith
                    creatorEmail: john@example.com
                    targetApps:
                      - myapp
                    holdoutIDs: []
                    tags:
                      - example_tag
                    team: Product
                    isEnabled: true
                    rules: []
                    defaultValue: {}
                    defaultValueJson5: '{}'
                    schema: >-
                      {"$schema":"https://json-schema.org/draft/2020-12/schema","properties":{}}
                    schemaJson5: |-
                      {
                        "$schema": "https://json-schema.org/draft/2020-12/schema",
                        "properties": {}
                      }
                    version: 1
        '404':
          description: Not Found. The requested resource could not be found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 404
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Not Found:
                  value:
                    status: 404
                    message: Not Found. The requested resource could not be found.
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    PaginationResponseWithMessage:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          description: Array of results returned by pagination limit.
          type: array
          items:
            type: object
        pagination:
          description: Pagination metadata for checking if there is next page for example.
          allOf:
            - $ref: '#/components/schemas/PaginationResponseMetadataDto'
      required:
        - message
        - data
        - pagination
    DynamicConfigDto:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Optional name for the configuration.
        idType:
          type: string
          description: The type of ID which the dynamic config is based on.
          example: userID
        description:
          type: string
          maxLength: 1000
          description: A brief summary of what the dynamic config is being used for
          example: helpful summary of what this dynamic config does
        lastModifierID:
          type: string
          nullable: true
          description: ID of the last modifier.
        lastModifiedTime:
          type: number
          nullable: true
          description: Time of the last modification.
        lastModifierEmail:
          type: string
          nullable: true
          description: Email of the last modifier.
        lastModifierName:
          type: string
          nullable: true
          description: Name of the last modifier.
        creatorID:
          type: string
          nullable: true
        createdTime:
          type: number
          description: Timestamp when the entity was created.
        creatorName:
          type: string
          nullable: true
          description: Name of the creator.
        creatorEmail:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          description: The list of tag names attached to the dynamic config
          example:
            - a tag
        targetApps:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        holdoutIDs:
          type: array
          items:
            type: string
          description: Holdouts applied to this configuration.
        team:
          type: string
          nullable: true
          description: The team name associated with the dynamic config, Enterprise only.
        teamID:
          type: string
          nullable: true
          description: The team ID associated with the dynamic config, Enterprise only.
        version:
          type: number
          description: Version number
        isEnabled:
          type: boolean
          description: Is the dynamic config enabled
          default: true
        rules:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of this rule.
              passPercentage:
                type: number
                minimum: 0
                maximum: 100
                multipleOf: 0.01
                description: >-
                  Of the users that meet the conditions of this rule, what
                  percent should return true.
              conditions:
                type: array
                items:
                  type: object
                  properties:
                    targetValue:
                      oneOf:
                        - type: array
                          items:
                            type: string
                        - type: array
                          items:
                            type: number
                        - type: string
                        - type: number
                      nullable: true
                    operator:
                      type: string
                    field:
                      type: string
                      nullable: true
                    customID:
                      type: string
                      nullable: true
                    type:
                      type: string
                      enum:
                        - app_version
                        - browser_name
                        - browser_version
                        - country
                        - custom_field
                        - email
                        - environment_tier
                        - fails_gate
                        - fails_segment
                        - ip_address
                        - locale
                        - os_name
                        - os_version
                        - passes_gate
                        - passes_segment
                        - public
                        - time
                        - unit_id
                        - user_id
                        - url
                        - javascript
                        - device_model
                        - target_app
                  required:
                    - type
                description: An array of Condition objects.
              environments:
                type: array
                items:
                  type: string
                nullable: true
              id:
                type: string
                description: The Statsig ID of this rule.
              baseID:
                type: string
                description: >-
                  The base ID of this rule, i.e. without any added metadata.
                  Will remain the exact same throughout
              returnValue:
                type: object
                additionalProperties: {}
              returnValueJson5:
                type: string
            required:
              - name
              - passPercentage
              - conditions
          description: An array of Rule objects
        defaultValue:
          type: object
          additionalProperties: {}
          description: The fallback JSON object when no rules are triggered
        defaultValueJson5:
          type: string
          description: >-
            Can include comments. If provided with defaultValue, must parse to
            the same JSON
        owner:
          type: object
          properties:
            ownerID:
              type: string
              description: ID of the owner
              example: abc123
            ownerType:
              type: string
              description: Type of the owner (e.g., SDK_KEY or USER)
              example: USER
            ownerName:
              type: string
              description: The name of the owner. This field is optional.
              example: John Doe
            ownerEmail:
              type: string
              description: The email of the owner. This field is optional.
          description: >-
            Schema for owner data including ID, type, name. Note that if Entity
            is created by CONSOLE API, owner will be undefined.
          example:
            ownerID: user123
            ownerType: USER
            ownerName: John Doe
            ownerEmail: owner123@test.com
          nullable: true
        schema:
          type: string
          nullable: true
          description: >-
            A schema using JSON Schema Draft 2020-12 to enforce return values of
            this dynamic config's rules.
        schemaJson5:
          type: string
          nullable: true
          description: >-
            `schema` except with Json5 comments. Optional and should parse to
            same json as `schema`.
        precommitWebhook:
          type: object
          properties:
            url:
              type: string
            internalStatusUrl:
              type: string
          required:
            - url
            - internalStatusUrl
          nullable: true
      required:
        - id
        - description
        - lastModifierID
        - lastModifiedTime
        - lastModifierEmail
        - lastModifierName
        - createdTime
        - creatorName
        - isEnabled
        - rules
    PaginationResponseMetadataDto:
      type: object
      properties:
        itemsPerPage:
          type: number
        pageNumber:
          type: number
        nextPage:
          type: string
          nullable: true
        previousPage:
          type: string
          nullable: true
        totalItems:
          type: number
        all:
          type: string
      required:
        - itemsPerPage
        - pageNumber
        - nextPage
        - previousPage
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````